6.0.0-git
2019-03-23

[#13003] Latest updates broke Active Sync Email
Summary Latest updates broke Active Sync Email
Queue Horde Framework Packages
Queue Version FRAMEWORK_5_1
Type Bug
State Resolved
Priority 3. High
Owners slusarz (at) horde (dot) org
Requester Klaus.Steinberger (at) physik (dot) uni-muenchen (dot) de
Created 2014-02-28 (1849 days ago)
Due
Updated 2014-03-06 (1843 days ago)
Assigned 2014-03-03 (1846 days ago)
Resolved 2014-03-06 (1843 days ago)
Milestone
Patch No

History
2014-03-06 14:21:24 Michael Rubinsky State ⇒ Resolved
 
2014-03-03 19:34:01 Michael Slusarz State ⇒ Resolved
 
2014-03-03 19:33:50 Git Commit Comment #12 Reply to this comment
Changes have been made in Git (master):

commit 61b6584c772a6ddc75720b12520d1c35f1131d12
Author: Michael M Slusarz <slusarz@horde.org>
Date:   Mon Mar 3 12:33:28 2014 -0700

     Bug #13003

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |    4 ++--
  1 files changed, 2 insertions(+), 2 deletions(-)

http://git.horde.org/horde-git/-/commit/61b6584c772a6ddc75720b12520d1c35f1131d12
2014-03-03 19:25:36 Michael Rubinsky Comment #10
Assigned to Michael Slusarz
Taken from Michael Rubinsky
Reply to this comment

[Show Quoted Text - 9 lines]
As explained in my post to the mailing list, the ActiveSync code is 
100% absolutely NOT requesting MIME ID of zero. If this is not the 
correct fix, then assigning the ticket to Michael S., since the 
calling code is requesting the correct data.
2014-03-03 19:07:56 Michael Slusarz Comment #9 Reply to this comment
From horde@ list, IMAP debug log (prior to this patch being applied) 
showed that the MIME IDs were correctly being queried:

C: 11 UID FETCH 407477 (BINARY.SIZE[0] BINARY.SIZE[1] 
BINARY.PEEK[1.1.2] BINARY.PEEK[1.1.1])

The problem remains that code somewhere is trying to query the body 
part size of MIME ID 0.  Which can't be done, since that MIME ID 
doesn't exist.

MIME ID actually doesn't exist in real-life.  We just use it as 
shorthand for "the entire base message" for the FETCH queries that 
support it (header and body text).
2014-03-03 19:04:14 Michael Slusarz Comment #8
State ⇒ Assigned
Reply to this comment
Incorrect Horde_Imap_Client fix reverted:

http://lists.horde.org/archives/dev/Week-of-Mon-20140303/028513.html

Reopening ticket.
2014-03-01 17:08:25 Michael Rubinsky Comment #7
Assigned to Michael Rubinsky
State ⇒ Resolved
Reply to this comment
Horde_Imap_Client 2.18.5
2014-03-01 07:08:29 Klaus (dot) Steinberger (at) physik (dot) uni-muenchen (dot) de Comment #6 Reply to this comment
Great Job!

That fixes it.
2014-02-28 17:59:37 Git Commit Comment #5 Reply to this comment
Changes have been made in Git (master):

commit f174f08002872dab2019bcca58175749f598bb6a
Author: Michael J Rubinsky <mrubinsk@horde.org>
Date:   Fri Feb 28 12:58:33 2014 -0500

     Fix obtaining BINARY.SIZE.

     Almost 100% positive this is the correct fix for the recent bug
     described in the mailing list regarding broken ActiveSync email syncing.
     Possibly also fixes Bug: 13003

  .../Imap_Client/lib/Horde/Imap/Client/Socket.php   |    2 +-
  1 files changed, 1 insertions(+), 1 deletions(-)

http://git.horde.org/horde-git/-/commit/f174f08002872dab2019bcca58175749f598bb6a
2014-02-28 13:19:14 Klaus (dot) Steinberger (at) physik (dot) uni-muenchen (dot) de Comment #4 Reply to this comment
The backing IMAP Server is a cyrus 2.3.16 (no condrestore), on another 
horde server I also aminister I have the very same problem the cyrus 
over there is a 2.4.16 with condrestore.

The installed modules:

[root@testwebmail httpd]# pear list -c horde
Installed packages, channel pear.horde.org:
===========================================
Package                   Version State
Horde_ActiveSync          2.12.4  stable
Horde_Alarm               2.0.5   stable
Horde_Argv                2.0.7   stable
Horde_Auth                2.1.1   stable
Horde_Autoloader          2.0.1   stable
Horde_Browser             2.0.4   stable
Horde_Cache               2.4.1   stable
Horde_Cli                 2.0.4   stable
Horde_Compress            2.0.7   stable
Horde_Compress_Fast       1.0.2   stable
Horde_Constraint          2.0.1   stable
Horde_Controller          2.0.1   stable
Horde_Core                2.11.1  stable
Horde_Crypt               2.4.0   stable
Horde_Crypt_Blowfish      1.0.2   stable
Horde_Css_Parser          1.0.4   stable
Horde_Data                2.0.4   stable
Horde_Date                2.0.7   stable
Horde_Date_Parser         2.0.2   stable
Horde_Dav                 1.0.3   stable
Horde_Db                  2.0.4   stable
Horde_Editor              2.0.3   stable
Horde_ElasticSearch       1.0.2   stable
Horde_Exception           2.0.4   stable
Horde_Feed                2.0.1   stable
Horde_Form                2.0.6   stable
Horde_Group               2.0.2   stable
Horde_HashTable           1.1.1   stable
Horde_History             2.2.1   stable
Horde_Http                2.0.5   stable
Horde_Icalendar           2.0.7   stable
Horde_Image               2.0.5   stable
Horde_Imap_Client         2.18.4  stable
Horde_Imsp                2.0.5   stable
Horde_Injector            2.0.3   stable
Horde_Itip                2.0.5   stable
Horde_Kolab_Format        2.0.5   stable
Horde_Kolab_Server        2.0.2   stable
Horde_Kolab_Session       2.0.1   stable
Horde_Kolab_Storage       2.0.5   stable
Horde_Ldap                2.0.3   stable
Horde_ListHeaders         1.1.0   stable
Horde_Lock                2.1.0   stable
Horde_Log                 2.1.0   stable
Horde_LoginTasks          2.0.3   stable
Horde_Mail                2.1.5   stable
Horde_Mapi                1.0.2   stable
Horde_Memcache            2.0.5   stable
Horde_Mime                2.2.9   stable
Horde_Mime_Viewer         2.0.5   stable
Horde_Mongo               1.0.2   stable
Horde_Nls                 2.0.3   stable
Horde_Notification        2.0.1   stable
Horde_Oauth               2.0.1   stable
Horde_Pack                1.0.0   stable
Horde_Pdf                 2.0.3   stable
Horde_Perms               2.1.2   stable
Horde_Prefs               2.5.2   stable
Horde_Queue               1.1.1   stable
Horde_Rdo                 2.0.2   stable
Horde_Role                1.0.1   stable
Horde_Routes              2.0.2   stable
Horde_Rpc                 2.1.1   stable
Horde_Scribe              2.0.1   stable
Horde_Secret              2.0.2   stable
Horde_Serialize           2.0.2   stable
Horde_Service_Facebook    2.0.6   stable
Horde_Service_Twitter     2.1.1   stable
Horde_Service_Weather     2.0.5   stable
Horde_SessionHandler      2.2.3   stable
Horde_Share               2.0.4   stable
Horde_Smtp                1.4.0   stable
Horde_Socket_Client       1.1.1   stable
Horde_SpellChecker        2.1.1   stable
Horde_Stream              1.6.1   stable
Horde_Stream_Filter       2.0.2   stable
Horde_Stream_Wrapper      2.1.0   stable
Horde_Support             2.1.1   stable
Horde_SyncMl              2.0.3   stable
Horde_Template            2.0.1   stable
Horde_Test                2.2.6   stable
Horde_Text_Diff           2.0.2   stable
Horde_Text_Filter         2.2.0   stable
Horde_Text_Filter_Csstidy 2.0.1   stable
Horde_Text_Filter_Jsmin   1.0.0   stable
Horde_Text_Flowed         2.0.1   stable
Horde_Thrift              2.0.1   stable
Horde_Timezone            1.0.4   stable
Horde_Token               2.0.4   stable
Horde_Translation         2.1.0   stable
Horde_Tree                2.0.2   stable
Horde_Url                 2.2.1   stable
Horde_Util                2.3.0   stable
Horde_Vfs                 2.1.2   stable
Horde_View                2.0.3   stable
Horde_Xml_Element         2.0.1   stable
Horde_Xml_Wbxml           2.0.1   stable
content                   2.0.3   stable
gollem                    3.0.1   stable
horde                     5.1.5   stable
horde_lz4                 1.0.3   stable
imp                       6.1.6   stable
ingo                      3.1.3   stable
kronolith                 4.1.4   stable
mnemo                     4.1.2   stable
nag                       4.1.3   stable
passwd                    5.0.1   stable
timeobjects               2.0.4   stable
trean                     1.0.3   stable
turba                     4.1.3   stable
[root@testwebmail httpd]#

2014-02-28 13:14:02 Klaus (dot) Steinberger (at) physik (dot) uni-muenchen (dot) de Comment #3 Reply to this comment

and the server log (the access from ipv4 is the samsung, ipv6 is my browser)

109.43.0.250 - guinea.pig@physik.uni-muenchen.de [28/Feb/2014:13:59:41 
+0100] "POST 
/Microsoft-Server-ActiveSync?Cmd=Sync&User=guinea.pig%40physik.uni-muenc
hen.de&DeviceId=SAMSUNG1359585048378456&DeviceType=SAMSUNGGTI9100 
HTTP/1.1" 200 77
109.43.0.250 - guinea.pig@physik.uni-muenchen.de [28/Feb/2014:13:59:42 
+0100] "POST 
/Microsoft-Server-ActiveSync?Cmd=FolderSync&User=guinea.pig%40physik.uni
-muenchen.de&DeviceId=SAMSUNG1359585048378456&DeviceType=SAMSUNGGTI9100 
HTTP/1.1" 200 63
109.43.0.250 - guinea.pig@physik.uni-muenchen.de [28/Feb/2014:13:59:46 
+0100] "POST 
/Microsoft-Server-ActiveSync?Cmd=Sync&User=guinea.pig%40physik.uni-muenc
hen.de&DeviceId=SAMSUNG1359585048378456&DeviceType=SAMSUNGGTI9100 
HTTP/1.1" 200 77
109.43.0.250 - guinea.pig@physik.uni-muenchen.de [28/Feb/2014:13:52:02 
+0100] "POST 
/Microsoft-Server-ActiveSync?Cmd=Sync&User=guinea.pig%40physik.uni-muenc
hen.de&DeviceId=SAMSUNG1359585048378456&DeviceType=SAMSUNGGTI9100 
HTTP/1.1" 200 -
2001:4ca0:4fff:1::a - - [28/Feb/2014:13:59:53 +0100] "POST 
/horde/services/ajax.php/horde/topbarUpdate HTTP/1.1" 200 91
109.43.0.250 - guinea.pig@physik.uni-muenchen.de [28/Feb/2014:14:00:27 
+0100] "POST 
/Microsoft-Server-ActiveSync?Cmd=Sync&User=guinea.pig%40physik.uni-muenc
hen.de&DeviceId=SAMSUNG1359585048378456&DeviceType=SAMSUNGGTI9100 
HTTP/1.1" 200 77
109.43.0.250 - guinea.pig@physik.uni-muenchen.de [28/Feb/2014:14:00:29 
+0100] "POST 
/Microsoft-Server-ActiveSync?Cmd=FolderSync&User=guinea.pig%40physik.uni
-muenchen.de&DeviceId=SAMSUNG1359585048378456&DeviceType=SAMSUNGGTI9100 
HTTP/1.1" 200 63
109.43.0.250 - guinea.pig@physik.uni-muenchen.de [28/Feb/2014:13:59:46 
+0100] "POST 
/Microsoft-Server-ActiveSync?Cmd=Sync&User=guinea.pig%40physik.uni-muenc
hen.de&DeviceId=SAMSUNG1359585048378456&DeviceType=SAMSUNGGTI9100 
HTTP/1.1" 200 -
2001:4ca0:4fff:1::a - - [28/Feb/2014:14:01:06 +0100] "POST 
/horde/services/ajax.php/horde/topbarUpdate HTTP/1.1" 200 91
192.54.42.250 - - [28/Feb/2014:14:03:21 +0100] "GET / HTTP/1.1" 403 3822
2001:4ca0:4fff:1::a - - [28/Feb/2014:14:04:53 +0100] "POST 
/horde/services/ajax.php/horde/topbarUpdate HTTP/1.1" 200 91
2001:4ca0:4fff:1::a - - [28/Feb/2014:14:06:06 +0100] "POST 
/horde/services/ajax.php/horde/topbarUpdate HTTP/1.1" 200 91
109.43.0.250 - guinea.pig@physik.uni-muenchen.de [28/Feb/2014:14:00:31 
+0100] "POST 
/Microsoft-Server-ActiveSync?Cmd=Sync&User=guinea.pig%40physik.uni-muenc
hen.de&DeviceId=SAMSUNG1359585048378456&DeviceType=SAMSUNGGTI9100 
HTTP/1.1" 200 -
192.54.42.250 - - [28/Feb/2014:14:08:22 +0100] "GET / HTTP/1.1" 403 3822
2001:4ca0:4fff:1::a - - [28/Feb/2014:14:09:53 +0100] "POST 
/horde/services/ajax.php/horde/topbarUpdate HTTP/1.1" 200 91
2001:4ca0:4fff:1::a - - [28/Feb/2014:14:11:06 +0100] "POST 
/horde/services/ajax.php/horde/topbarUpdate HTTP/1.1" 200 91
[r
2014-02-28 13:11:36 Klaus (dot) Steinberger (at) physik (dot) uni-muenchen (dot) de Comment #2
New Attachment: SAMSUNG1359585048378456.txt Download
Reply to this comment
the active sync log
2014-02-28 13:10:46 Klaus (dot) Steinberger (at) physik (dot) uni-muenchen (dot) de Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 3. High
Summary ⇒ Latest updates broke Active Sync Email
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
New Attachment: horde.log Download
Reply to this comment
some of the latest updates broke Active Sync Email Syncing. It happens 
both with an Samsung Android (Galaxy 2) as well as IPAD (IOS 7.0.6). I 
updated two days ago to the latest released pear modules, this broke 
the sync. Too bad I could not tell which version of pear modules were 
in use exactly before, but as I updated regularly they are not older 
than 4-6 weeks.

My assumption is the changes in Horde_Imap_Client broke the sync (this 
one needed a DB scheme update), and something in its release notes say 
something about caching?

resetting the android device state on the server did not help, even a 
newly created exchange account on the android device received any email.

i have a test server, i tried to sync the samsung to this two times. 
in between a new email to the account was sent, but didn't show up on 
android. the horde.log is attached, othe logs will follow.

Saved Queries